1

Is 1.7.10 DEAD?

1 emerald 28 replies 1,877 views | started 04/20/2017 6:09 pm by jtrent238
I'm not seeing many new mods for 1.7.10 anymore, so is it dead?
Posted by avatar
jtrent238
Level 51 : Grandmaster Modder
44

28 replies

1
06/15/2017 7:04 am
Level 75 Legendary Robot
PrototypeTheta
avatar
"ethernity4ever"But if you have time to update 1.7 versions then you have time to upgrade to 1.10 or 1.12 even.


I get what you're trying to say and it's not completely unreasonable for an outsider (apologies for the quasi ad-hominem) to think. However, the inner working of the game have changed so much in that time that some of the bigger mods would basically need to be re-done from scratch again (I know a few that have basically had to do this). Updating a stable 1.7 version takes a fraction of the time that such a re-work would take. I might get a few hours to tinker with the 1.7 build but I am not going to get the few weeks* I would need to actually carry out such a rework. I mean implying I'm even competent enough to do that in the first place.


"ethernity4ever"
MC 1.0 is easier to texture as well, does this mean that texture pack artist should drop support for all newer versions because its hard?


Textures packs are not mods. The complexities involved in porting the two are completely different and they are not exactly analogous. I get what you are trying to say here but it's not that simple.


"ethernity4ever"My point is, having your mod 1.7 only is just bad,


Long term I basically can't refute this. But everyone moves on at some point. Be it they leave it on 1.7.10 or 1.12.





Also, bonus point, don't take it too seriously as it doesn't apply to all cases but it did apply to me:

We actually moved past 1.7.10. Over a year later our core community remained on 1.7.10 and didn't take to the then far superior new version. Sure, the wider community wants 1.12, but the people who actually stuck with us and supported us stuck with 1.7.10 even after we moved past it. I guess I could put apathy towards the wider community as an alternative to laziness? Functionally the same but technically different.



*("just do it in small bits over time", doesn't end well, tried that already. Technically possible but extremely messy, not to mention a new version would probably be out by the time you are done making the whole thing moot in the first place)
1
06/14/2017 2:48 am
Level 23 Expert Warrior
IndyJacksonTT
avatar
NO!
It's my favorite version!
And if I use it, it's not dead...
1
06/14/2017 2:14 am
Level 29 Expert Architect
Lachie1770
avatar
Nah I still use 1.7.10 Myself, Its still got a ton of good mods that 1.10+... The later versions aren't the best anyway... Well the worst should I say.
1
06/14/2017 1:42 am
Level 14 Journeyman Network
Sparthia
avatar
People move on.
1
06/13/2017 10:35 pm
Level 27 Expert Explorer
illuminati128k
avatar
I still use 1.7.10, it's still common among the modded community.
1
06/13/2017 5:02 pm
Level 22 Expert Blockhead
Nitwick
avatar
"LeeTheENTP"
"PrototypeTheta"
Yes, we all have literally infinite amounts of time to dedicate to mods. We are just incredibly lazy and play host to incredible levels of spite towards the wider community.

1.7.10 is more than 3 years old, man.


Windows 7 is approaching the decade mark, and as an operating system it's still a viable option. Add programs and features to it and you don't need the new stuff.

If the mods still have more than modern minecraft versions, then there's no good reason to upgrade to something that would just prove buggy in the beginning and not add much more than the mods did.
1
06/13/2017 3:54 pm
Level 42 Master Blockhead
LeeTheENTP
avatar
"PrototypeTheta"
Yes, we all have literally infinite amounts of time to dedicate to mods. We are just incredibly lazy and play host to incredible levels of spite towards the wider community.

1.7.10 is more than 3 years old, man.
1
06/13/2017 10:05 am
Level 75 Legendary Robot
PrototypeTheta
avatar
"LeeTheENTP"
This I find rather self-centered, since they are refusing to "get with the times" because they don't want to do much recoding.


Yes, we all have literally infinite amounts of time to dedicate to mods. We are just incredibly lazy and play host to incredible levels of spite towards the wider community.
1
06/12/2017 10:55 pm
Level 23 Expert Dragonborn
BenButler77
avatar
I still run one of my servers with the 1.7/1.8 spigot protocol hack
1
04/22/2017 2:40 pm
Level 51 Grandmaster Unicorn
McHorse
avatar
1.7.10 is dead only because Forge devs are dropped support for Forge for 1.7.10. If somebody is going to find a bug in this version (like messed up AABB), nobody is going to fix that, and the only solution would be is to host your own version of Forge.

I do agree, however, it's not laziness that keeps big mods stuck at 1.7.10, but stupid changes to the API. Those changes add a lot of work to modders, but on other hand, JSON models are great or Capabilities system. JSON models allow people to create fancy models for blocks in texture packs or even cool item models like those rad katana swords, while capabilities allow more flexible way of storing mod's data while also allowing to create your APIs.

What other things are great about newer versions are that they're still supported by ForgeCrafters, much more hooks, and more. The problem with 1.7.10 modders with newer versions, is the need to relearn stuff, which can be quite hard. Other than that, I think new versions are great some of my mods weren't be possible without new features. That's my opinion, anyways
1
04/21/2017 11:46 pm
Level 23 Expert Pixel Painter
JakariaYT
avatar
Heh, I actually just posted a mod that ported the new concrete to 1.7.10, I'll be porting to other versions as well.
1
04/21/2017 7:44 pm
Level 22 Expert Blockhead
Nitwick
avatar
1.7.10 is simpler to mod for, and when a majority of big mods have that as a foundation, I find it reasonable for them to stay with what works rather than suffer the rollercoaster of Mojang making big changes to the underlying structure for no particular reason.

Some, quite frankly, do not need to "get with the times", because what they offer compared to Mojang's addition pace means that Mojang's additions would compete sometime in 1.68.8. If Conquest Reforged just stuck with the 1.7.10 core and continued to update that, they would still have over a thousand more blocks than Vanilla has now.

Now, if it is simple gameplay modifications that don't add more than what Mojang offers overall in new versions, I'd understand the need for those to update and consider the ones offering little gameplay shifts dumb if they don't want to take advantage of what's now a decently larger offering of content compared to 1.7.10.
1
04/21/2017 3:36 pm
Level 50 Grandmaster Pixel Puncher
Pixelmon-Craft
avatar
There are still a lot of mods and modpacks only working with 1.7.10 but it seems like a lot of populair mods have updated to 1.8 and 1.10.2. Pixelmonmod is updated to 1.10.2 and all the 1.7.10 servers are drying out.
1
04/21/2017 9:36 am
Level 44 Master Batman
Malitha
avatar
yeah its not dead the old mods are still there and they are updating and also kohi and pvp kinds of stuff are still there
1
04/21/2017 9:20 am
Level 8 Apprentice Taco
Saku123
avatar
No one uses 1.7 anymore! Why even try to find mods to that version?
1
04/20/2017 7:26 pm
Level 42 Master Blockhead
LeeTheENTP
avatar
Considering 1.7.10 is nearing 3 years old, it's safe to say it's dead, even from a modding standpoint. Most mods have been updated to 1.10.2 or newer.
1
04/21/2017 3:29 pm
Level 51 Grandmaster Modder
HbTextures
avatar
"most mods" you mean some of the big ones? FRom a modding standpoint, 1.8 and up is awful.
1
04/21/2017 5:43 pm
Level 42 Master Blockhead
LeeTheENTP
avatar
From what I remember, 1.8 made some changes that made updating to it more difficult. However, since then it's been comparatively simple to keep updated.

Why haven't some big mod developers updated past 1.7.10? They simply don't want to make any major changes to their code to make it work with newer versions. This I find rather self-centered, since they are refusing to "get with the times" because they don't want to do much recoding.
1
04/20/2017 7:14 pm
Level 1 New Miner
Cooliverswifey
avatar
I use it lol
1
04/20/2017 6:49 pm
Level 5 Apprentice Artist
D1a1v1e1
avatar
I use 1.11.2 not 1.7 I don't know anyone who still uses 1.7
1
04/20/2017 6:46 pm
Level 23 Expert Explorer
NoxNyctores
avatar
I'm fairly certain a lot of modders are working on making them 1.10.2 compatible or have stopped there.
1
04/20/2017 6:20 pm
Level 17 Journeyman Blacksmith
striker107
avatar
I do not think it's dead, I do think that the current mods are still being updated, but I do not think many more mods are being made for 1.7.10 anymore. I would like to see new mods though...
1
04/20/2017 6:29 pm
Level 51 Grandmaster Modder
jtrent238
avatar
Yea me too, I wish there was a way to make them all compatible with each other.

Search

Browse

Site

© planetminecraft.com

Welcome